div
  img.navigation-menu-logo([src]="logoSrc")

ryax-project-select

ul(nz-menu, nzMode="inline", nzTheme="dark", [nzInlineCollapsed]="isCollapsed", [nzSelectable]="false", [nzInlineIndent]="24")
  li(nz-menu-item, nzMatchRouter)
    a(routerLink="/studio")
      i(nz-icon, nzType="experiment")
      span Studio


  li(nz-menu-item)
    a(href="/app/dashboard")
      i(nz-icon, nzType="dashboard")
      span Dashboard


  li(nz-menu-item, nzMatchRouter, nz-popover, nzPopoverTitle="Module builder", [nzPopoverContent]="repositoriesMenuContent", nzPopoverPlacement="rightTop", nzPopoverOverlayClassName="navigation-menu-group")
    a(routerLink="/repositories")
      i(nz-icon, nzType="book")
      span Module builder

    ng-template(#repositoriesMenuContent)
      ul(nz-menu, nzMode="inline", nzTheme="dark", [nzSelectable]="false")
        li(nz-menu-item)
          a(routerLink="/repositories/modules")
            i(nz-icon, nzType="book")
            span Module Builds


  li(nz-menu-item, nzMatchRouter)
    a(routerLink="/store")
      i(nz-icon, nzType="appstore")
      span Module store


  li(nz-menu-item, nzMatchRouter)
    a(routerLink="/users/list")
      i(nz-icon, nzType="team")
      span Users


  li(nz-menu-item, nzMatchRouter)
    a(routerLink="/projects")
      i(nz-icon, nzType="project")
      span Projects


  li(nz-menu-item, nzMatchRouter)
    a(routerLink="/users/settings")
      i(nz-icon, nzType="setting")
      span Settings


  li(nz-menu-item, nz-popover, nzPopoverTitle="Help", [nzPopoverContent]="helpMenuContent", nzPopoverPlacement="rightTop", nzPopoverOverlayClassName="navigation-menu-group")
    i(nz-icon, nzType="question-circle")
    span Help

    ng-template(#helpMenuContent)
      ul(nz-menu, nzMode="inline", nzTheme="dark", [nzSelectable]="false")
        li(nz-menu-item)
          a(href="https://ryax.tech/support/", target="_blank")
            i(nz-icon, nzType="message")
            span Support
        li(nz-menu-item)
          a(href="https://ryax.tech/feedback/", target="_blank")
            i(nz-icon, nzType="notification")
            span Feedback


  li(nz-menu-item, (click)="onLogout()")
    i(nz-icon, nzType="logout")
    span Logout
